#

## cleanup

Interactively clean up the netlist

### Usage:

> cleanup

### Summary:

> The cleanup command performs an interactive netlist cleanup. It checks the current netlist for terminals that aren't present in the design and for nets with only one terminal. When found, the user is informed and an action requested.

> Requested actions are as follows:

> dterm
>   Delete the terminal
> dnet
>   Delete the net
> skip
>   Take no action on this problem
> abort
>   End the cleanup command immediately with no further checks, requests, or actions.

### Implementation Notes:

> cleanup is implemented as a built-in netlist window command in magic. It can only be invoked from a window created with the specialopen netlist command.

Return to command index

Last updated: October, 2004